View Issue Details

IDProjectCategoryView StatusLast Update
0000501SOGoWeb Calendarpublic2010-03-22 13:18
Reporterwimmer Assigned Towsourdeau 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Versionnightly v2 
Target Version1.2.2 
Summary0000501: bad time shift in DST
Description

I found bug in current mtn version, where SOGo displays bad time of events in Calendar modules 'View' box. Events for days in CET (to 27-Mar) are displayed correctly, but events for days in CEST (from 28-Mar) are displayed wrong with +1 hour. I will attach 3 files:

  • 121.png is screenshot 1.2.1 version - no problem here, event "obed2" has start time displayed fine as 12:00 CEST.
  • mtn-18-03.png is screenshot from 18-03 mtn - here is the problem, event "obed2" has start time displayed wrong as 13:00 CEST.
  • event.txt is event "obed2"

I discovered mtn version from 13-Mar works fine in this aspect,
mtn version from 15-Mar includes this bug.

TagsNo tags attached.

Relationships

has duplicate 0000506 resolvedwsourdeau ugly problem with time zone 
related to 0000503 resolvedludovic doubles entries WebUI for all-day events 

Activities

2010-03-18 17:57

 

121.png (81,350 bytes)   
121.png (81,350 bytes)   

2010-03-18 17:57

 

mtn-18-03.png (83,112 bytes)   
mtn-18-03.png (83,112 bytes)   

2010-03-18 17:58

 

event.txt (945 bytes)   
                {
                    c_content = "BEGIN:VCALENDAR^M
VERSION:2.0^M
PRODID:-//Inverse inc./SOGo 1.0//EN^M
BEGIN:VEVENT^M
UID:24E3-4BA25100-3-3F155380^M
SUMMARY:obed2^M
CREATED:20100318T161317Z^M
DTSTAMP:20100318T161317Z^M
LAST-MODIFIED:20100318T161317Z^M
DTSTART;TZID=/inverse.ca/20091015_1/Europe/Prague:20100328T120000^M
DTEND;TZID=/inverse.ca/20091015_1/Europe/Prague:20100328T130000^M
TRANSP:OPAQUE^M
END:VEVENT^M
BEGIN:VTIMEZONE^M
TZID:/inverse.ca/20091015_1/Europe/Prague^M
X-LIC-LOCATION:Europe/Prague^M
BEGIN:DAYLIGHT^M
TZOFFSETFROM:+0100^M
TZOFFSETTO:+0200^M
TZNAME:CEST^M
DTSTART:19700329T020000^M
RRULE:FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU^M
END:DAYLIGHT^M
BEGIN:STANDARD^M
TZOFFSETFROM:+0200^M
TZOFFSETTO:+0100^M
TZNAME:CET^M
DTSTART:19701025T030000^M
RRULE:FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU^M
END:STANDARD^M
END:VTIMEZONE^M
END:VCALENDAR";
                    c_name = "24E3-4BA25100-3-3F155380.ics";
                },

event.txt (945 bytes)   
wsourdeau

wsourdeau

2010-03-22 13:18

viewer   ~0000774

This is now fixed in 54efe8046f7359444a19149b1c5e4ed19262c14e. Please note that you need to reopen and resave the faulty events, or to reimport them using the restore tool for activating the fix for previous events.

Issue History

Date Modified Username Field Change
2010-03-18 17:57 wimmer New Issue
2010-03-18 17:57 wimmer File Added: 121.png
2010-03-18 17:57 wimmer File Added: mtn-18-03.png
2010-03-18 17:58 wimmer File Added: event.txt
2010-03-19 07:30 ludovic Target Version => 1.2.2
2010-03-22 13:18 wsourdeau Note Added: 0000774
2010-03-22 13:18 wsourdeau Status new => resolved
2010-03-22 13:18 wsourdeau Resolution open => fixed
2010-03-22 13:18 wsourdeau Assigned To => wsourdeau
2010-03-22 13:50 wsourdeau Relationship added has duplicate 0000506
2010-03-22 13:51 wsourdeau Relationship added related to 0000503